## node-graphlibrary 2.2.0%2Breally2.1.8%2Brepack

=== Makefile ===
MOD = graphlib

NPM = npm
BROWSERIFY = ./node_modules/browserify/bin/cmd.js
ISTANBUL = ./node_modules/istanbul/lib/cli.js
JSHINT = ./node_modules/jshint/bin/jshint
ESLINT = ./node_modules/eslint/bin/eslint.js
KARMA = ./node_modules/karma/bin/karma
MOCHA = ./node_modules/mocha/bin/_mocha
UGLIFY = ./node_modules/uglify-js/bin/uglifyjs

ISTANBUL_OPTS = --dir $(COVERAGE_DIR) --report html
JSHINT_OPTS = --reporter node_modules/jshint-stylish/index.js
MOCHA_OPTS = -R dot

BUILD_DIR = build
COVERAGE_DIR = $(BUILD_DIR)/cov
DIST_DIR = dist

SRC_FILES = index.js lib/version.js $(shell find lib -type f -name '*.js')
TEST_FILES = $(shell find test -type f -name '*.js' | grep -v 'bundle-test.js' | grep -v 'bundle.amd-test.js' | grep -v 'test-main.js')
BUILD_FILES = $(addprefix $(BUILD_DIR)/, \
						$(MOD).js $(MOD).min.js \
						$(MOD).core.js $(MOD).core.min.js)

DIRS = $(BUILD_DIR)

.PHONY: all bench clean browser-test unit-test test dist

all: unit-test lint

bench: unit-test lint
	@src/bench.js

lib/version.js: package.json
	@src/release/make-version.js > $@

$(DIRS):
	@mkdir -p $@

test: unit-test browser-test browser-test-amd

unit-test: $(SRC_FILES) $(TEST_FILES) node_modules | $(BUILD_DIR)
	@$(ISTANBUL) cover $(ISTANBUL_OPTS) $(MOCHA) --dir $(COVERAGE_DIR) -- $(MOCHA_OPTS) $(TEST_FILES) || $(MOCHA) $(MOCHA_OPTS) $(TEST_FILES)

browser-test: $(BUILD_DIR)/$(MOD).js $(BUILD_DIR)/$(MOD).core.js
	$(KARMA) start --single-run $(KARMA_OPTS)
	$(KARMA) start karma.core.conf.js --single-run $(KARMA_OPTS)

browser-test-amd: $(BUILD_DIR)/$(MOD).js $(BUILD_DIR)/$(MOD).core.js
	$(KARMA) start karma.amd.conf.js --single-run $(KARMA_OPTS)

bower.json: package.json src/release/make-bower.json.js
	@src/release/make-bower.json.js > $@

lint:
	@$(JSHINT) $(JSHINT_OPTS) $(filter-out node_modules, $?)
	@$(ESLINT) $(SRC_FILES) $(TEST_FILES)

$(BUILD_DIR)/$(MOD).js: index.js $(SRC_FILES) | unit-test
	@$(BROWSERIFY) $< > $@ -s graphlib

$(BUILD_DIR)/$(MOD).min.js: $(BUILD_DIR)/$(MOD).js
	@$(UGLIFY) $< --comments '@license' > $@

$(BUILD_DIR)/$(MOD).core.js: index.js $(SRC_FILES) | unit-test
	@$(BROWSERIFY) $< > $@ --no-bundle-external -s graphlib

$(BUILD_DIR)/$(MOD).core.min.js: $(BUILD_DIR)/$(MOD).core.js
	@$(UGLIFY) $< --comments '@license' > $@

dist: $(BUILD_FILES) | bower.json test
	@rm -rf $@
	@mkdir -p $@
	@cp $^ dist

release: dist
	@echo
	@echo Starting release...
	@echo
	@src/release/release.sh $(MOD) dist

clean:
	rm -rf $(BUILD_DIR)

node_modules: package.json
	@$(NPM) install
	@touch $@

## node-graphlibrary 2.2.0+dfsg

=== debian/changelog ===
node-graphlibrary (2.2.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #909293)

 -- Pirate Praveen <praveen@debian.org>  Fri, 21 Sep 2018 13:08:11 +0530

=== debian/control ===
Source: node-graphlibrary
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 10)
 , nodejs (>= 6)
Standards-Version: 4.2.1
Homepage: https://github.com/tylingsoft/graphlibrary#readme
Vcs-Git: https://salsa.debian.org/js-team/node-graphlibrary.git
Vcs-Browser: https://salsa.debian.org/js-team/node-graphlibrary

Package: node-graphlibrary
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
 , node-lodash (>= 4.17.5)
Description: directed and undirected multi-graph library
 Graphlibrary is a JavaScript library that provides data structures for
 undirected and directed multi-graphs along with algorithms that can be used
 with them.
 .
 Graphlibrary is not built from scratch, it's based on dagrejs/graphlib. And it
 is designed as an out-of-box replacement for dagrejs/graphlib.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-graphlibrary

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/tylingsoft/graphlibrary
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/graphlibrary .*=graphlibrary-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-graphlibrary 2.2.0+really2.1.8+dfsg

=== debian/changelog ===
node-graphlibrary (2.2.0+really2.1.8+dfsg-4) unstable; urgency=medium

  * team upload

  [ Nilesh Patra ]
  * [skip ci] Update email

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Jonas Smedegaard ]
  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 20:40:51 +0100

node-graphlibrary (2.2.0+really2.1.8+dfsg-3) unstable; urgency=medium

  * Drop deprecated options of node-resolve plugin

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Jan 2021 14:52:35 +0530

node-graphlibrary (2.2.0+really2.1.8+dfsg-2) unstable; urgency=medium

  * Drop legacy node-resolve and commonjs plugin usage
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Wed, 30 Dec 2020 13:41:06 +0530

node-graphlibrary (2.2.0+really2.1.8+dfsg-1) unstable; urgency=medium

  * Modify watch to point to new upstream
  * New upstream version 2.2.0+really2.1.8+dfsg
    + version changes: graphlib is at version 2.1.8,
      graphlibrary is at version 2.2.0,
      since in current scenario graphlib is needed, the version is lowered
  * Add provides, fix control with cme
  * Bump standards version to 4.5.0
  * Add "Rules-Requires-Root:no"
  * Use rollup as bundler, generate minified files with terser
  * Install dist
  * Add a simple autopkgtest
  * Add myself to uploaders
  * Update upstream/metadata
  * Fix copyright
  * Fix homepage and description
  * Add README.Debian to explain the current state of package

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 19 Mar 2020 01:47:20 +0530

node-graphlibrary (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Update debian/watch to use npm registry
  * Add upstream/metadata
  * Switch install and minimal test to pkg-js-tools (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Sep 2019 03:42:05 +0200

=== debian/control ===
Source: node-graphlibrary
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>, Nilesh Patra <nilesh@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               nodejs,
               node-lodash <!nocheck>,
               dh-sequence-nodejs,
               rollup,
               terser,
               node-rollup-plugin-node-resolve (>= 11~),
               node-rollup-plugin-buble,
               node-rollup-plugin-commonjs (>= 15~),
               node-mocha,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-graphlibrary
Vcs-Git: https://salsa.debian.org/js-team/node-graphlibrary.git
Homepage: https://github.com/dagrejs/graphlib#readme
Rules-Requires-Root: no

Package: node-graphlibrary
Architecture: all
Provides: node-graphlib
Depends: ${misc:Depends},
         nodejs,
         node-lodash,
         node-mocha,
         node-assert
Description: directed and undirected multi-graph library
 Graphlibrary is a JavaScript library that provides data structures for
 undirected and directed multi-graphs along with algorithms that can be used
 with them.
 .
 In addition to a core graph API, it also comes with implementations for
 many common graph algorithms.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none,repacksuffix=+dfsg,dversionmangle=auto,oversionmangle=s/^2.1.8$/2.2.0+really2.1.8/" \
 https://registry.npmjs.org/graphlib https://registry.npmjs.org/graphlib/-/graphlib-(\d[\d\.]*)@ARCHIVE_EXT@

## node-graphlibrary 2.2.0+really2.1.8+repack

=== debian/changelog ===
node-graphlibrary (2.2.0+really2.1.8+repack-4) unstable; urgency=medium

  * Team Upload.
  * d/clean: Cleanup dist dir (Closes: #1045183)
  * Drop Redundant "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Nov 2025 19:35:00 +0530

node-graphlibrary (2.2.0+really2.1.8+repack-3) unstable; urgency=medium

  * Team upload
  * Fix rollup config for rollup 3 (Closes: #1022625)

 -- Yadd <yadd@debian.org>  Wed, 26 Oct 2022 12:24:23 +0200

node-graphlibrary (2.2.0+really2.1.8+repack-2) unstable; urgency=medium

  * Team upload
  * Fix rollup configuration for recent @rollup/plugin-node-resolve
    (Closes: #1022406)

 -- Yadd <yadd@debian.org>  Sun, 23 Oct 2022 18:38:39 +0200

node-graphlibrary (2.2.0+really2.1.8+repack-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Declare compliance with policy 4.6.1
  * Drop dependency to nodejs
  * download from GitHub, not from npm registry
  * Embed typescript declarations and repack

 -- Yadd <yadd@debian.org>  Tue, 02 Aug 2022 08:18:19 +0200

=== debian/control ===
Source: node-graphlibrary
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-lodash <!nocheck>
 , node-mocha
 , node-rollup-plugin-buble
 , node-rollup-plugin-commonjs (>= 15~)
 , node-rollup-plugin-node-resolve (>= 11~)
 , rollup
 , terser
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/js-team/node-graphlibrary
Vcs-Git: https://salsa.debian.org/js-team/node-graphlibrary.git
Homepage: https://github.com/dagrejs/graphlib
Testsuite: autopkgtest-pkg-nodejs

Package: node-graphlibrary
Architecture: all
Depends: node-assert
 , node-lodash
 , node-mocha
 , ${misc:Depends}
Provides: ${nodejs:Provides}
Description: directed and undirected multi-graph library
 Graphlibrary is a JavaScript library that provides data structures for
 undirected and directed multi-graphs along with algorithms that can be used
 with them.
 .
 In addition to a core graph API, it also comes with implementations for
 many common graph algorithms.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Tell nodejs to look for embedded modules
export NODE_PATH := ${CURDIR}

%:
	dh $@

override_dh_auto_build:
	rollup -c debian/rollup.config.js lib/index.js -n graphlib -f umd -o dist/graphlib.js
	rollup -c debian/rollup.config.js lib/index.js -f cjs -o dist/graphlib.core.js
	terser dist/graphlib.js -c -m -o dist/graphlib.min.js
	terser dist/graphlib.core.js -c -m -o dist/graphlib.core.min.js

=== debian/watch ===
version=4
opts=\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-graphlib-$1/ \
 https://github.com/dagrejs/graphlib/tags .*/archive.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-graphlib,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-graphlib-$1/" \
 https://registry.npmjs.org/@types/graphlib https://registry.npmjs.org/@types/graphlib/-/graphlib-([\d\.]+)@ARCHIVE_EXT@ group
